<?php
namespace PHPMaker2019\project_germanos;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start(); 

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$chambers_delete = new chambers_delete();

// Run the page
$chambers_delete->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$chambers_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script>

// Form object
currentPageID = ew.PAGE_ID = "delete";
var fchambersdelete = currentForm = new ew.Form("fchambersdelete", "delete");

// Form_CustomValidate event
fchambersdelete.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

	// Your custom validation code here, return false if invalid.
	return true;
}

// Use JavaScript validation or not
fchambersdelete.validateRequired = <?php echo json_encode(CLIENT_VALIDATE) ?>;

// Dynamic selection lists
// Form object for search

</script>
<script>

// Write your client script here, no need to add script tags.
</script>
<?php $chambers_delete->showPageHeader(); ?>
<?php
$chambers_delete->showMessage();
?>
<form name="fchambersdelete" id="fchambersdelete" class="form-inline ew-form ew-delete-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($chambers_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo TOKEN_NAME ?>" value="<?php echo $chambers_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="chambers">
<input type="hidden" name="action" id="action" value="delete">
<?php foreach ($chambers_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="card ew-card ew-grid">
<div class="<?php if (IsResponsiveLayout()) { ?>table-responsive <?php } ?>card-body ew-grid-middle-panel">
<table class="table ew-table">
	<thead>
	<tr class="ew-table-header">
<?php if ($chambers->Chamber->Visible) { // Chamber ?>
		<th class="<?php echo $chambers->Chamber->headerCellClass() ?>"><span id="elh_chambers_Chamber" class="chambers_Chamber"><?php echo $chambers->Chamber->caption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$chambers_delete->RecCnt = 0;
$i = 0;
while (!$chambers_delete->Recordset->EOF) {
	$chambers_delete->RecCnt++;
	$chambers_delete->RowCnt++;

	// Set row properties
	$chambers->resetAttributes();
	$chambers->RowType = ROWTYPE_VIEW; // View

	// Get the field contents
	$chambers_delete->loadRowValues($chambers_delete->Recordset);

	// Render row
	$chambers_delete->renderRow();
?>
	<tr<?php echo $chambers->rowAttributes() ?>>
<?php if ($chambers->Chamber->Visible) { // Chamber ?>
		<td<?php echo $chambers->Chamber->cellAttributes() ?>>
<span id="el<?php echo $chambers_delete->RowCnt ?>_chambers_Chamber" class="chambers_Chamber">
<span<?php echo $chambers->Chamber->viewAttributes() ?>>
<?php echo $chambers->Chamber->getViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$chambers_delete->Recordset->moveNext();
}
$chambers_delete->Recordset->close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("DeleteBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $chambers_delete->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
</div>
</form>
<?php
$chambers_delete->showPageFooter();
if (DEBUG_ENABLED)
	echo GetDebugMessage();
?>
<script>

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$chambers_delete->terminate();
?>
